<?php

declare(strict_types=1);

namespace  FiloBlu\ExtBlackbirdMenuManager\Block\Adminhtml\Menu\Import;

use Magento\Backend\Block\Widget\Form\Generic;

/**
 *
 */
class Form extends Generic
{
    /**
     * {@inheritdoc}
     */
    protected function _prepareForm()
    {
        $form = $this->_formFactory->create([
            'data' => [
                'id' => 'edit_form',
                'action' => $this->getUrl('*/*/postimport', ['ct_id' => $this->getRequest()->getParam('ct_id')]),
                'method' => 'post',
                'enctype' => 'multipart/form-data',
            ],
        ]);
        $form->setUseContainer(true);
        $this->setForm($form);

        return parent::_prepareForm();
    }
}
